[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# tinterfaceentry

Interfaces table entry.

## Declaration

Source position: objpash.inc line 169

`type tinterfaceentry = record`
`public`
`property IID: PGuid; [r]` |  | Unique GUID for this interface.
`property IIDStr: PShortString; [r]` |  | Pointer to GUID string. Always assigned for COM.
`IIDRef: ;` |  | Pointer to IID of interface
`VTable: Pointer;` |  | Pointer to interface VTable.
``
`case Integer of`
`1: (`
`IOffset: SizeUInt;` |  | Offset
`);`
`2: (`
`IOffsetAsCodePtr: CodePointer;` |  | Interface offset in interface table
`IIDStrRef: ;` |  | Reference to IID as string
`IType: tinterfaceentrytype;` |  | Interface entry interface type
`);`
`end;`

## Description

tinterfaceentry is used to store the list of Interfaces of a class. This list is stored as an array of tinterfaceentry records.